Create fulfillment orders Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developer.pattern.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Hub API MCP server": {
    "url": "https://developer.pattern.com/mcp"
  }
}

Close
POST /v1/orders

Submit new fulfillment orders for processing. Orders will be validated and processed for warehouse fulfillment.

application/json

Body

  • orders array[object]
    Hide orders attributes Show orders attributes object
    • market_order_id string

      Unique order identifier from marketplace

    • address_country string

      Shipping address country

    • address_line1 string

      Shipping address line 1

    • address_line2 string

      Shipping address line 2

    • address_line3 string

      Shipping address line 3

    • buyer_email string

      Customer email address

    • city string

      Shipping city

    • shipping_carrier string

      Preferred shipping carrier

    • state string

      Shipping state/province

    • ref1 string

      Reference field 1

    • ref2 string

      Reference field 2

    • order_source string

      Order source system

    • market_order_state string

      Current order state

    • marketplace string

      Marketplace name

    • order_placed_date string

      Date order was placed

    • latest_ship_date string

      Latest date for shipment

    • marketplace_updated_at string

      Last update timestamp

    • country string

      Shipping country code

    • customer_order_number string

      Customer order reference

    • display_order_id string

      Display order ID

    • shipment_service_level_category string

      Service level category

    • postal_code string

      Shipping postal/zip code

    • latest_delivery_date string

      Latest delivery date

    • po_number string

      Purchase order number

    • sales_order_number string

      Sales order number

    • ship_to_name string

      Recipient name

    • shipment_service_level_as_requested string

      Requested service level

    • order_recieved_date string

      Date order was received

    • buyer_phone_number string

      Customer phone number

    • send_gift_note boolean

      Whether to include gift note

    • gift_note string

      Gift note message

    • market_order_items array[object]
      Hide market_order_items attributes Show market_order_items attributes object
      • market_order_item_id string

        Unique item identifier

      • sku string

        Product SKU

      • quantity integer

        Order quantity

      • item_price number(float)

        Item price

      • item_tax number(float)

        Item tax amount

      • is_cold boolean

        Whether item requires cold storage

Responses

  • 422 application/json

    Invalid request payload

    Hide response attribute Show response attribute object
    • errors array[string]

      List of validation errors

  • 200 application/json

    Orders processed successfully

    Hide response attributes Show response attributes object
    • received_orders array[string]

      List of successfully received order IDs

    • erroneous_orders array[object]

      List of orders with errors

      Hide erroneous_orders attributes Show erroneous_orders attributes object
      • market_order_id string
      • errors array[string]
POST /v1/orders
curl \
 --request POST 'https://api.pattern.com/hub/v1/orders' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"orders":[{"market_order_id":"string","address_country":"string","address_line1":"string","address_line2":"string","address_line3":"string","buyer_email":"string","city":"string","shipping_carrier":"string","state":"string","ref1":"string","ref2":"string","order_source":"string","market_order_state":"string","marketplace":"string","order_placed_date":"string","latest_ship_date":"string","marketplace_updated_at":"string","country":"string","customer_order_number":"string","display_order_id":"string","shipment_service_level_category":"string","postal_code":"string","latest_delivery_date":"string","po_number":"string","sales_order_number":"string","ship_to_name":"string","shipment_service_level_as_requested":"string","order_recieved_date":"string","buyer_phone_number":"string","send_gift_note":true,"gift_note":"string","market_order_items":[{"market_order_item_id":"string","sku":"string","quantity":42,"item_price":42.0,"item_tax":42.0,"is_cold":true}]}]}'
Request examples
{
  "orders": [
    {
      "market_order_id": "string",
      "address_country": "string",
      "address_line1": "string",
      "address_line2": "string",
      "address_line3": "string",
      "buyer_email": "string",
      "city": "string",
      "shipping_carrier": "string",
      "state": "string",
      "ref1": "string",
      "ref2": "string",
      "order_source": "string",
      "market_order_state": "string",
      "marketplace": "string",
      "order_placed_date": "string",
      "latest_ship_date": "string",
      "marketplace_updated_at": "string",
      "country": "string",
      "customer_order_number": "string",
      "display_order_id": "string",
      "shipment_service_level_category": "string",
      "postal_code": "string",
      "latest_delivery_date": "string",
      "po_number": "string",
      "sales_order_number": "string",
      "ship_to_name": "string",
      "shipment_service_level_as_requested": "string",
      "order_recieved_date": "string",
      "buyer_phone_number": "string",
      "send_gift_note": true,
      "gift_note": "string",
      "market_order_items": [
        {
          "market_order_item_id": "string",
          "sku": "string",
          "quantity": 42,
          "item_price": 42.0,
          "item_tax": 42.0,
          "is_cold": true
        }
      ]
    }
  ]
}
Response examples (422)
{
  "errors": [
    "string"
  ]
}
Response examples (200)
{
  "received_orders": [
    "string"
  ],
  "erroneous_orders": [
    {
      "market_order_id": "string",
      "errors": [
        "string"
      ]
    }
  ]
}